@charset "UTF-8";

/* CSS Document */


  /*==============================================================*/
/*popup template design*/
.popup-background{
  /*position size*/
  position: fixed;
  z-index : 100;
  top : 0;
  left : 0;
  height : 100vh;
  width : 100vw;

  /*design*/
  background-color: rgba(30, 30, 30, 0.9);
 
}
.popup{
  width: 100%;
  max-width: 700px;
  padding: 40px;
  z-index : 101;
  position: fixed;
  top : 50%;
  left : 50%;
  transform: translate(-50%, -50%);

  /*design*/
  overflow : hidden;
  background-color: #c5e8f9;
}

@media (max-width: 640px) {
    .popup {
       width: 100%;
        height: 45%;
        transform: translate(-50%, -50%);
        padding: 20px 17px 17px;
    }
}

.popup > .close-button{
  /*position size*/
  --size: 35px;
  position:absolute;
  top : 4%;
  left : 91%;
  text-align: center;
  width: 25px;
  height: 25px;
  line-height: 2;
   

  /*design*/
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #002e3c;
  color : white;
  font-size: var(--size);
  border-radius: 50%;
}
}
.popup > .content{
  padding: 10px;
  text-align: center;
}


/*hide popup*/
.popup-flag{
  display: none;
}
.popup-flag:not(:checked) + .popup-background{
  display:none;
}
.popup-flag:not(:checked) + * + .popup{
  display:none;
}



/*==============================================================*/
#popupFlag2 + * +.popup{
  /*position size*/
  --height : 100％;
  --width : 100％;
}

  /*design*/
  display:block;
  transform: rotate(30deg);
  box-shadow: 0px 0px 3px 1px gray;
  transition: 0.5s;
}


  /*design*/
  transform: rotate(0deg);
    background-color: rgba(30, 30, 30, 0.9);

/*==============================================================*/
/*button-container*/
.button-container{
  display: flex;
  align-items: center;
  justify-content: flex-start;
  flex-direction: column;
}
.button-container > *{
  margin : 4px;
}

/*ボタン*/
.button{
  padding: 5px 10px;
  
}
.button:active{
  color: white;
  background-color: rgb(0, 0, 168);
  transition: 0.05s;
}


/*冊子*/
@media (max-width: 640px) {
    .content img{
        width: 100%;
        max-width: 600px;
    }
}

